/**
 * 总路由入口
 */

import * as asyncHandler from 'express-async-handler';
import * as leftBiz from '../biz/getData';
import * as jiQiRenBiz from '../biz/jiQiRen';

export function setRouter(httpServer){
    /**竖屏 */
    httpServer.get('/left', asyncHandler(leftBiz.getLeft));
    httpServer.get('/data', asyncHandler(leftBiz.getData));
    httpServer.get('/right', asyncHandler(leftBiz.getRight));

    //机器人
    httpServer.get('/jiqiren/left', asyncHandler(jiQiRenBiz.getLeft));
    httpServer.get('/jiqiren/top', asyncHandler(jiQiRenBiz.getTop));
    httpServer.get('/jiqiren/right', asyncHandler(jiQiRenBiz.getRight));
    
}

